<h2 mat-dialog-title>Edit event</h2>

<mat-dialog-content>
    <form novalidate #editEventForm="ngForm">

    <mat-form-field>
        <input matInput required [(ngModel)]="toEdit.name" placeholder="Name" name="name">
        <mat-error *ngIf="editEventForm.controls.name?.errors?.required">Name is required</mat-error>
    </mat-form-field>

    <mat-form-field>
        <textarea matInput required [(ngModel)]="toEdit.description" placeholder="Description" name="description">
        </textarea>
        <mat-error *ngIf="editEventForm.controls.description?.errors?.required">Description is required</mat-error>
    </mat-form-field>



    <div class="center">
        <button mat-button id="editEventSubmitButton" (click)="submit()" [disabled]="!editEventForm.valid">Submit changes</button>
    </div>
    <div class="center">
        <button mat-button (click)="cancel()">Cancel</button>
    </div>

    </form>
</mat-dialog-content>
